This applet was compiled on an Applet iMac G5 running Mac OS 10.4.9 and Java 1.5.0_07. Please make sure that you have Java installed and that its version is at least 1.5.0_07.